/**
 * An interface for "hashing" the name of a superhero (for inserting into a hash map).
 * Different implementations can reflect different hashing algorithms.
 * 
 * @author Joel
 * @version Fa 2014
 */
public interface HeroHasher
{
	/**
	 * Returns an integer representation (hashcode) of the given name
	 * @param name The name to hash
	 * @return the hashcode of the name
	 */
	public int hash(String name);
	
}
